Page({
  go() {
    wx.navigateTo({
      url: '/pages/takePhoto/takePhoto',
    })
  },
  share() {

  },
  onShareAppMessage() {
    let shareImageUrl = wx.getStorageSync('shareImageUrl')

    return {
      title: '真实 实时 精准',
      // 小程序解析带有多个等号的参数时,无法解析等号后面的参数,故=号互相替换%%%%%%
      path: `/pages/share/share?shareImageUrl=${(shareImageUrl.replace(/\?/g, 'qwerdfb000mmmccc')).replace(/=/g, 'mmmcccqwerdfb')}`,
      imageUrl: shareImageUrl
    }
  }
})